using RestSharp;
var options = new RestClientOptions("https://backend.composio.dev/api/v3.1/auth_configs/{nanoid}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-api-key", "<api-key>");
request.AddJsonBody("{\n \"auth_config\": {\n \"credentials\": {\n \"api_key\": \"YOUR_NEW_API_KEY\",\n \"client_secret\": \"YOUR_NEW_CLIENT_SECRET\"\n }\n }\n}", false);
var response = await client.PatchAsync(request);
Console.WriteLine("{0}", response.Content);
Your Composio project API key. Create or copy it from the Composio dashboard.
Path Parameters
nanoid
string<authConfigId>
required
The unique identifier of the authentication configuration to update
Body
application/json
Option 1
Option 2
type
enum<string>
required
Available options:
custom
name
string
The display name of the authentication configuration
Required string length: 1 - 255
credentials
object
Show child attributes
sealed_credentials
object
[EXPERIMENTAL] Client-sealed secret fields to redeem through the organization keyring instance (GET /api/v3.1/keyring/transfer_keys). The plaintext must not also appear in credentials. Rotates the stored client_secret without Composio ever holding it.
Show child attributes
proxy_config
object | null
Show child attributes
restrict_to_following_tools
string[]
deprecated
List of tool slugs this auth config is restricted to use with. DEPRECATED: use Get required scopes to resolve the scopes for the tools you need, then pass those scopes in credentials.scopes.
tool_access_config
object
deprecated
DEPRECATED: use Get required scopes to resolve the scopes for the tools you need, then pass those scopes in credentials.scopes.
Show child attributes
shared_credentials
object
deprecated
Shared credentials inherited by all connected accounts using this auth config. Secret values are redacted in responses, so provide the real values when updating; omit this field to leave them unchanged. DEPRECATED: use shared_connection_fields instead. It takes the same value and behaves the same way.
Show child attributes
shared_connection_fields
object
Connection field values inherited by every connected account created under this auth config. Secret values are redacted in responses, so provide the real values when updating; omit this field to leave them unchanged.
Show child attributes
is_enabled_for_tool_router
boolean
Whether this auth config is enabled for tool router
using RestSharp;
var options = new RestClientOptions("https://backend.composio.dev/api/v3.1/auth_configs/{nanoid}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-api-key", "<api-key>");
request.AddJsonBody("{\n \"auth_config\": {\n \"credentials\": {\n \"api_key\": \"YOUR_NEW_API_KEY\",\n \"client_secret\": \"YOUR_NEW_CLIENT_SECRET\"\n }\n }\n}", false);
var response = await client.PatchAsync(request);
Console.WriteLine("{0}", response.Content);
{"docsConfig":{"theme":"sequoia","$schema":"https://mintlify.com/docs.json","name":"Composio Docs","description":"Build AI agents with 1,700+ apps. Connect LLMs to external services like GitHub, Slack, Gmail, and more.","colors":{"primary":"#0007CD","light":"#5B8BF0","dark":"#5B8BF0"},"logo":{"light":"https://mintcdn.com/composio-preview/cL3pOAF8H-TYHF1S/Composio%20Logo.svg?fit=max\u0026auto=format\u0026n=cL3pOAF8H-TYHF1S\u0026q=85\u0026s=c959b1b97e22caccd03fe5d3d71ab52b","dark":"https://mintcdn.com/composio-preview/cL3pOAF8H-TYHF1S/Composio%20Logo%20Dark.svg?fit=max\u0026auto=format\u0026n=cL3pOAF8H-TYHF1S\u0026q=85\u0026s=1b31206b6350aa17315c7ea06c829de5","href":"/docs"},"favicon":{"light":"https://mintcdn.com/composio-preview/cL3pOAF8H-TYHF1S/favicon.ico?fit=max\u0026auto=format\u0026n=cL3pOAF8H-TYHF1S\u0026q=85\u0026s=1e12b5b301d9c338a1c87e58589a4e99","dark":"https://mintcdn.com/composio-preview/cL3pOAF8H-TYHF1S/favicon.ico?fit=max\u0026auto=format\u0026n=cL3pOAF8H-TYHF1S\u0026q=85\u0026s=1e12b5b301d9c338a1c87e58589a4e99"},"api":{"playground":{"display":"interactive"},"examples":{"languages":["python","typescript","bash","go","java","csharp","rust"]}},"appearance":{"default":"dark"},"navbar":{"links":[{"icon":{"style":"brands","name":"github","library":"fontawesome"},"href":"https://github.com/composiohq/composio","type":"github"},{"icon":{"style":"brands","name":"x-twitter","library":"fontawesome"},"href":"https://x.com/composiodevs","label":""}],"primary":{"type":"button","label":"Playground","href":"https://dashboard.composio.dev/~/project/playground?utm_source=docs\u0026utm_medium=navbar\u0026utm_campaign=playground"}},"seo":{"metatags":{"og:site_name":"Composio Docs","robots":"noindex"},"indexing":"all"},"fonts":{"family":"ABC Diatype","weight":400,"source":"fonts/ABCDiatype-Regular.woff2","format":"woff2"},"contextual":{"options":["copy","view","assistant","chatgpt","claude","perplexity","mcp","download-spec"],"display":"header"},"interaction":{"drilldown":true},"styling":{"latex":true},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"composio-preview","hasAudioNarration":false,"actualSubdomain":"composio-preview","customDomains":[],"gitSource":{"type":"github","owner":"mintlify-onboarding","repo":"composio-preview","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"REMOVE_BRANDING":{"status":"ENABLED"},"CONTEXTUAL_FEEDBACK":{"status":"ENABLED"},"CODE_SNIPPET_FEEDBACK":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6aee717af538f2c21575e5ef","clientVersion":"0.0.4128","searchFilterCounts":[{"language":"default","tag":"Reference","count":403},{"language":"default","tag":"API Reference","count":180},{"language":"default","tag":"Docs","count":80},{"language":"default","tag":"Platform","count":77},{"language":"default","tag":"Toolkits","count":48},{"language":"default","tag":"MCP","count":44},{"language":"default","tag":"Connected Accounts","count":36},{"language":"default","tag":"Triggers","count":34},{"language":"default","tag":"Sessions (prev Tool Router)","count":33},{"language":"default","tag":"Sessions (Prev Tool Router)","count":33}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"site-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"starter-pricing","enabled":true,"variant":{"name":"control","enabled":true,"payload":{"type":"string","value":"control"},"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"wildcard-email-auth","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"styles.css","content":":root{--composio-brand: #0007cd}.dark{--composio-brand: #5b8bf0}.hero-agent-demo{--hero-demo-brand: #0007cd;min-height:420px}.dark .hero-agent-demo{--hero-demo-brand: #5b8bf0}.hero-layout{grid-template-columns:minmax(0, 1fr)}@media (min-width: 1024px){.hero-layout{grid-template-columns:minmax(0, 1.05fr) minmax(0, 0.95fr)}}.hero-agent-window{position:absolute;inset-block:0;right:0;display:flex;width:100%;max-width:340px;flex-direction:column;overflow:hidden;border:1px solid rgb(0 7 205 / 22%);background:rgb(255 255 255 / 88%);box-shadow:0 1px 0 rgb(15 15 15 / 4%);backdrop-filter:blur(16px)}.dark .hero-agent-window{border-color:rgb(91 139 240 / 32%);background:rgb(15 23 42 / 92%)}.hero-agent-dot,.hero-agent-send,.hero-running-dot,.hero-running-ping{background:var(--hero-demo-brand)}.hero-agent-header{animation:hero-header-in 9.5s ease-in-out infinite}.hero-agent-message{animation:hero-message-cycle 9.5s cubic-bezier(0.4, 0, 0.2, 1) infinite;transform-origin:center}.hero-agent-thinking{animation:hero-thinking-cycle 9.5s ease-in-out infinite}.hero-agent-thinking span{width:6px;height:6px;animation:hero-pulse-dot 1.4s ease-in-out infinite;background:var(--hero-demo-brand)}.hero-agent-thinking span:nth-child(2){animation-delay:180ms}.hero-agent-thinking span:nth-child(3){animation-delay:360ms}.hero-tool-call{animation:hero-tool-call-cycle 9.5s cubic-bezier(0.4, 0, 0.2, 1) infinite,\n hero-shimmer-text 2s ease-in-out infinite}.hero-tool-shimmer{color:transparent;background-image:linear-gradient(\n 90deg,\n rgb(15 15 15 / 35%) 0%,\n rgb(15 15 15 / 70%) 40%,\n rgb(15 15 15) 50%,\n rgb(15 15 15 / 70%) 60%,\n rgb(15 15 15 / 35%) 100%\n );background-size:200% 100%;background-clip:text}.dark .hero-tool-shimmer{background-image:linear-gradient(\n 90deg,\n rgb(245 245 247 / 35%) 0%,\n rgb(245 245 247 / 70%) 40%,\n rgb(245 245 247) 50%,\n rgb(245 245 247 / 70%) 60%,\n rgb(245 245 247 / 35%) 100%\n )}.hero-agent-connector{position:absolute;z-index:5;top:32%;right:340px;width:60px;height:10%;overflow:visible;color:var(--hero-demo-brand);pointer-events:none}.hero-agent-connector-glow,.hero-agent-connector-line{stroke-dasharray:1;stroke-dashoffset:1;animation:hero-connector-cycle 9.5s cubic-bezier(0.4, 0, 0.2, 1) infinite}.hero-agent-connector-glow{opacity:0;filter:drop-shadow(0 0 6px var(--hero-demo-brand))}.hero-agent-connector-line{opacity:0}.hero-tool-panel{position:absolute;bottom:24px;left:175px;z-index:10;display:flex;width:320px;max-height:60%;flex-direction:column;overflow:hidden;border:1px solid rgb(226 232 240);background:rgb(255 255 255 / 96%);font-family:ui-monospace, SFMono-Regular, Menlo, Monaco, Consolas, monospace;box-shadow:0 24px 48px -18px rgb(15 15 15 / 32%);transform:translateX(-46%);animation:hero-panel-cycle 9.5s cubic-bezier(0.4, 0, 0.2, 1) infinite}.dark .hero-tool-panel{border-color:rgb(51 65 85);background:rgb(15 23 42 / 96%);box-shadow:0 24px 48px -18px rgb(0 0 0 / 62%)}.hero-tool-running{color:var(--hero-demo-brand)}.hero-running-ping{animation:hero-running-ping 1s cubic-bezier(0, 0, 0.2, 1) infinite;opacity:0.6}.hero-tool-results{flex:1;overflow:hidden}.hero-tool-result-row{display:flex;align-items:center;gap:8px;border:1px solid rgb(226 232 240);background:white;padding:6px 8px}.dark .hero-tool-result-row{border-color:rgb(51 65 85);background:rgb(2 6 23)}@keyframes hero-header-in{0%,3%{opacity:0;transform:translateY(6px)}7%,92%{opacity:1;transform:translateY(0)}100%{opacity:0;transform:translateY(-6px)}}@keyframes hero-message-cycle{0%,5%{opacity:0;transform:translateY(8px) scale(0.97)}10%,18%{opacity:1;transform:translateY(0) scale(1)}24%,92%{opacity:0.45;transform:translateY(0) scale(1)}100%{opacity:0;transform:scale(0.97)}}@keyframes hero-thinking-cycle{0%,11%,24%,100%{opacity:0;transform:translateY(6px)}14%,21%{opacity:1;transform:translateY(0)}}@keyframes hero-tool-call-cycle{0%,20%{opacity:0;transform:translateY(8px) scale(0.97)}27%,92%{opacity:1;transform:translateY(0) scale(1)}100%{opacity:0;transform:scale(0.97)}}@keyframes hero-panel-cycle{0%,22%{opacity:0;transform:translateX(-46%) translateX(-8px)}29%,92%{opacity:1;transform:translateX(-46%) translateX(0)}100%{opacity:0;transform:translateX(-46%) translateX(-8px)}}@keyframes hero-connector-cycle{0%,22%{opacity:0;stroke-dashoffset:1}29%,36%{opacity:1;stroke-dashoffset:0}52%,100%{opacity:0;stroke-dashoffset:0}}@keyframes hero-shimmer-text{from{background-position:100% 0}to{background-position:-100% 0}}@keyframes hero-pulse-dot{0%,100%{opacity:1}50%{opacity:0.3}}@keyframes hero-running-ping{75%,100%{opacity:0;transform:scale(2)}}@media (prefers-reduced-motion: reduce){.hero-agent-header,.hero-agent-message,.hero-agent-thinking,.hero-tool-call,.hero-agent-connector-glow,.hero-agent-connector-line,.hero-tool-panel,.hero-running-ping{animation:none!important}.hero-agent-header,.hero-agent-message,.hero-tool-call,.hero-tool-panel{opacity:1}.hero-agent-thinking,.hero-agent-connector-glow,.hero-agent-connector-line{opacity:0}}"}],"page":{"pagePath":"reference/api-reference/auth-configs/patchauthconfigsbynanoid","slug":"/reference/api-reference/auth-configs/patchauthconfigsbynanoid","pageMetadata":{"title":"Update an authentication configuration","description":"Modifies an existing authentication configuration with new credentials or other settings. Only specified fields will be updated.","deprecated":false,"version":null,"sidebarTitle":"Patchauthconfigsbynanoid","openapi":"/api-reference/openapi.json patch /api/v3.1/auth_configs/{nanoid}","href":"/reference/api-reference/auth-configs/patchauthconfigsbynanoid","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Modifies an existing authentication configuration with new credentials or other settings. Only specified fields will be updated.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Update an authentication configuration","description":"Modifies an existing authentication configuration with new credentials or other settings. Only specified fields will be updated.","deprecated":false,"version":null,"sidebarTitle":"Patchauthconfigsbynanoid","openapi":"/api-reference/openapi.json patch /api/v3.1/auth_configs/{nanoid}","href":"/reference/api-reference/auth-configs/patchauthconfigsbynanoid","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/composio-preview/3e74df7724d07010/pixelated-circle-worklet.js"],"openApiReferenceData":{"operation":{"summary":"Update an authentication configuration","description":"Modifies an existing authentication configuration with new credentials or other settings. Only specified fields will be updated.","tags":["Auth Configs"],"operationId":"patchAuthConfigsByNanoid","security":["af093886-4cf2-4d51-a130-08e912392b5b","9babd37c-9de4-4e40-a37d-5dff66ed7b1a"],"parameters":["8a3b4a4b-882f-48f7-93cd-57c43aab775b"],"requestBody":"121e01f3-8318-4337-a599-5e4cc3885811","responses":{"200":"7520a606-6000-4a36-87eb-00864bb94144","400":"b858ba7a-31d5-44c8-8b0e-802e1e5433f7","401":"89f0ade1-ad94-4eaa-b57f-106b5d7fa83d","404":"9a85c351-b3f3-4ff6-bf70-0e8b39288304","500":"d097bb0f-b9aa-4edd-9041-a882455c1c5d"},"x-api-version":"3.1","x-mint":{"metadata":{"title":"Update an authentication configuration","description":"Modifies an existing authentication configuration with new credentials or other settings. Only specified fields will be updated.","deprecated":false},"content":"","href":"/reference/api-reference/auth-configs/patchAuthConfigsByNanoid"},"method":"patch","type":"path","servers":["88115a90-88a8-44fd-bf64-8d389b2a91c2"],"path":"/api/v3.1/auth_configs/{nanoid}","baseUrlOptions":["https://backend.composio.dev"],"title":"Update an authentication configuration","codeSamples":[],"requestExampleLanguages":["python","typescript","bash","go","java","csharp","rust"],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"8a3b4a4b-882f-48f7-93cd-57c43aab775b":{"schema":{"type":"string","format":"authConfigId","description":"The unique identifier of the authentication configuration to update","isRequired":true,"uniqueKey":"","typeLabel":"string\u003cauthConfigId>"},"required":true,"description":"The unique identifier of the authentication configuration to update","name":"nanoid","in":"path"}},"requestBody":{"content":{"application/json":{"schema":{"oneOf":[{"type":"object","required":["type"],"properties":{"type":{"type":"string","enum":["custom"],"isRequired":true,"uniqueKey":"oneOf.0.type","typeLabel":"enum\u003cstring>"},"name":{"type":"string","minLength":1,"maxLength":255,"description":"The display name of the authentication configuration","uniqueKey":"oneOf.0.name","typeLabel":"string"},"credentials":{"type":"object","properties":{"scopes":{"oneOf":[{"type":"string","description":"OAuth scopes requested for the auth config.","uniqueKey":"oneOf.0.credentials.scopes.oneOf.0","typeLabel":"string"},{"type":"array","items":{"type":"string","uniqueKey":"oneOf.0.credentials.scopes.oneOf.1.items.[INDEX]","typeLabel":"string"},"description":"OAuth scopes requested for the auth config.","uniqueKey":"oneOf.0.credentials.scopes.oneOf.1","typeLabel":"string[]"}],"uniqueKey":"oneOf.0.credentials.scopes","typeLabel":"string | string[]"},"user_scopes":{"oneOf":[{"type":"string","description":"OAuth user-token scopes requested for the auth config. This is primarily used by Slack OAuth v2.","uniqueKey":"oneOf.0.credentials.user_scopes.oneOf.0","typeLabel":"string"},{"type":"array","items":{"type":"string","uniqueKey":"oneOf.0.credentials.user_scopes.oneOf.1.items.[INDEX]","typeLabel":"string"},"description":"OAuth user-token scopes requested for the auth config. This is primarily used by Slack OAuth v2.","uniqueKey":"oneOf.0.credentials.user_scopes.oneOf.1","typeLabel":"string[]"}],"uniqueKey":"oneOf.0.credentials.user_scopes","typeLabel":"string | string[]"}},"uniqueKey":"oneOf.0.credentials","typeLabel":"object"},"sealed_credentials":{"type":"object","additionalProperties":{"type":"string","minLength":1,"maxLength":16384,"uniqueKey":"oneOf.0.sealed_credentials.additionalProperties","typeLabel":"string"},"description":"[EXPERIMENTAL] Client-sealed secret fields to redeem through the organization keyring instance (GET /api/v3.1/keyring/transfer_keys). The plaintext must not also appear in credentials. Rotates the stored client_secret without Composio ever holding it.","x-experimental":true,"uniqueKey":"oneOf.0.sealed_credentials","typeLabel":"object"},"proxy_config":{"oneOf":[{"type":"object","properties":{"proxy_url":{"type":"string","format":"uri","description":"The url of the auth proxy","isRequired":true,"uniqueKey":"oneOf.0.proxy_config.oneOf.0.proxy_url","typeLabel":"string\u003curi>"},"proxy_auth_key":{"type":"string","description":"The auth key for the auth proxy","uniqueKey":"oneOf.0.proxy_config.oneOf.0.proxy_auth_key","typeLabel":"string"}},"required":["proxy_url"],"uniqueKey":"oneOf.0.proxy_config.oneOf.0","typeLabel":"object"},{"type":"null","properties":{"proxy_url":{"type":"string","format":"uri","description":"The url of the auth proxy"},"proxy_auth_key":{"type":"string","description":"The auth key for the auth proxy"}},"required":["proxy_url"],"uniqueKey":"oneOf.0.proxy_config.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.proxy_config","typeLabel":"object | null"},"restrict_to_following_tools":{"type":"array","items":{"type":"string","uniqueKey":"oneOf.0.restrict_to_following_tools.items.[INDEX]","typeLabel":"string"},"description":"List of tool slugs this auth config is restricted to use with. DEPRECATED: use [Get required scopes](/reference/api-reference/toolkits/recommendToolkitScopes) to resolve the scopes for the tools you need, then pass those scopes in `credentials.scopes`.","deprecated":true,"uniqueKey":"oneOf.0.restrict_to_following_tools","typeLabel":"string[]"},"tool_access_config":{"type":"object","properties":{"tools_for_connected_account_creation":{"type":"array","items":{"type":"string","uniqueKey":"oneOf.0.tool_access_config.tools_for_connected_account_creation.items.[INDEX]","typeLabel":"string"},"description":"Tools used to generate the minimum required scopes for the auth config (only valid for OAuth). If passed, this will update the scopes. DEPRECATED: use [Get required scopes](/reference/api-reference/toolkits/recommendToolkitScopes) to resolve the scopes for the tools you need, then pass those scopes in `credentials.scopes`.","deprecated":true,"uniqueKey":"oneOf.0.tool_access_config.tools_for_connected_account_creation","typeLabel":"string[]"},"tools_available_for_execution":{"type":"array","items":{"type":"string","uniqueKey":"oneOf.0.tool_access_config.tools_available_for_execution.items.[INDEX]","typeLabel":"string"},"description":"The actions that the user can perform on the auth config. If passed, this will update the actions that the user can perform on the auth config. DEPRECATED: use [Get required scopes](/reference/api-reference/toolkits/recommendToolkitScopes) to resolve the scopes for the tools you need, then pass those scopes in `credentials.scopes`.","deprecated":true,"uniqueKey":"oneOf.0.tool_access_config.tools_available_for_execution","typeLabel":"string[]"}},"description":"DEPRECATED: use [Get required scopes](/reference/api-reference/toolkits/recommendToolkitScopes) to resolve the scopes for the tools you need, then pass those scopes in `credentials.scopes`.","deprecated":true,"uniqueKey":"oneOf.0.tool_access_config","typeLabel":"object"},"shared_credentials":{"type":"object","additionalProperties":{"oneOf":[{}],"uniqueKey":"oneOf.0.shared_credentials.additionalProperties","typeLabel":"any"},"description":"Shared credentials inherited by all connected accounts using this auth config. Secret values are redacted in responses, so provide the real values when updating; omit this field to leave them unchanged. DEPRECATED: use `shared_connection_fields` instead. It takes the same value and behaves the same way.","deprecated":true,"uniqueKey":"oneOf.0.shared_credentials","typeLabel":"object"},"shared_connection_fields":{"type":"object","additionalProperties":{"oneOf":[{}],"uniqueKey":"oneOf.0.shared_connection_fields.additionalProperties","typeLabel":"any"},"description":"Connection field values inherited by every connected account created under this auth config. Secret values are redacted in responses, so provide the real values when updating; omit this field to leave them unchanged.","uniqueKey":"oneOf.0.shared_connection_fields","typeLabel":"object"},"is_enabled_for_tool_router":{"type":"boolean","description":"Whether this auth config is enabled for tool router","uniqueKey":"oneOf.0.is_enabled_for_tool_router","typeLabel":"boolean"}},"uniqueKey":"oneOf.0","typeLabel":"object"},{"type":"object","required":["type"],"properties":{"type":{"type":"string","enum":["default"],"isRequired":true,"uniqueKey":"oneOf.1.type","typeLabel":"enum\u003cstring>"},"name":{"type":"string","minLength":1,"maxLength":255,"description":"The display name of the authentication configuration","uniqueKey":"oneOf.1.name","typeLabel":"string"},"scopes":{"oneOf":[{"type":"string","description":"OAuth scopes requested for the auth config.","uniqueKey":"oneOf.1.scopes.oneOf.0","typeLabel":"string"},{"type":"array","items":{"type":"string","uniqueKey":"oneOf.1.scopes.oneOf.1.items.[INDEX]","typeLabel":"string"},"description":"OAuth scopes requested for the auth config.","uniqueKey":"oneOf.1.scopes.oneOf.1","typeLabel":"string[]"}],"uniqueKey":"oneOf.1.scopes","typeLabel":"string | string[]"},"user_scopes":{"oneOf":[{"type":"string","description":"OAuth user-token scopes requested for the auth config. This is primarily used by Slack OAuth v2.","uniqueKey":"oneOf.1.user_scopes.oneOf.0","typeLabel":"string"},{"type":"array","items":{"type":"string","uniqueKey":"oneOf.1.user_scopes.oneOf.1.items.[INDEX]","typeLabel":"string"},"description":"OAuth user-token scopes requested for the auth config. This is primarily used by Slack OAuth v2.","uniqueKey":"oneOf.1.user_scopes.oneOf.1","typeLabel":"string[]"}],"uniqueKey":"oneOf.1.user_scopes","typeLabel":"string | string[]"},"restrict_to_following_tools":{"type":"array","items":{"type":"string","uniqueKey":"oneOf.1.restrict_to_following_tools.items.[INDEX]","typeLabel":"string"},"description":"List of tool slugs this auth config is restricted to use with. DEPRECATED: use [Get required scopes](/reference/api-reference/toolkits/recommendToolkitScopes) to resolve the scopes for the tools you need, then pass those scopes in `credentials.scopes`.","deprecated":true,"uniqueKey":"oneOf.1.restrict_to_following_tools","typeLabel":"string[]"},"tool_access_config":{"type":"object","properties":{"tools_for_connected_account_creation":{"type":"array","items":{"type":"string","uniqueKey":"oneOf.1.tool_access_config.tools_for_connected_account_creation.items.[INDEX]","typeLabel":"string"},"description":"Tools used to generate the minimum required scopes for the auth config (only valid for OAuth). If passed, this will update the scopes. DEPRECATED: use [Get required scopes](/reference/api-reference/toolkits/recommendToolkitScopes) to resolve the scopes for the tools you need, then pass those scopes in `credentials.scopes`.","deprecated":true,"uniqueKey":"oneOf.1.tool_access_config.tools_for_connected_account_creation","typeLabel":"string[]"},"tools_available_for_execution":{"type":"array","items":{"type":"string","uniqueKey":"oneOf.1.tool_access_config.tools_available_for_execution.items.[INDEX]","typeLabel":"string"},"description":"The actions that the user can perform on the auth config. If passed, this will update the actions that the user can perform on the auth config. DEPRECATED: use [Get required scopes](/reference/api-reference/toolkits/recommendToolkitScopes) to resolve the scopes for the tools you need, then pass those scopes in `credentials.scopes`.","deprecated":true,"uniqueKey":"oneOf.1.tool_access_config.tools_available_for_execution","typeLabel":"string[]"}},"description":"DEPRECATED: use [Get required scopes](/reference/api-reference/toolkits/recommendToolkitScopes) to resolve the scopes for the tools you need, then pass those scopes in `credentials.scopes`.","deprecated":true,"uniqueKey":"oneOf.1.tool_access_config","typeLabel":"object"},"shared_credentials":{"type":"object","additionalProperties":{"oneOf":[{}],"uniqueKey":"oneOf.1.shared_credentials.additionalProperties","typeLabel":"any"},"description":"Shared credentials inherited by all connected accounts using this auth config. Secret values are redacted in responses, so provide the real values when updating; omit this field to leave them unchanged. DEPRECATED: use `shared_connection_fields` instead. It takes the same value and behaves the same way.","deprecated":true,"uniqueKey":"oneOf.1.shared_credentials","typeLabel":"object"},"shared_connection_fields":{"type":"object","additionalProperties":{"oneOf":[{}],"uniqueKey":"oneOf.1.shared_connection_fields.additionalProperties","typeLabel":"any"},"description":"Connection field values inherited by every connected account created under this auth config. Secret values are redacted in responses, so provide the real values when updating; omit this field to leave them unchanged.","uniqueKey":"oneOf.1.shared_connection_fields","typeLabel":"object"},"is_enabled_for_tool_router":{"type":"boolean","description":"Whether this auth config is enabled for tool router","uniqueKey":"oneOf.1.is_enabled_for_tool_router","typeLabel":"boolean"}},"uniqueKey":"oneOf.1","typeLabel":"object"}],"uniqueKey":"","typeLabel":"object"},"examples":{"standardUpdate":{"title":"standardUpdate","value":{"auth_config":{"credentials":{"api_key":"YOUR_NEW_API_KEY","client_secret":"YOUR_NEW_CLIENT_SECRET"}}}}},"exampleType":"examples"}},"exampleType":"examples"},"responses":{"7520a606-6000-4a36-87eb-00864bb94144":{"description":"Successfully updated auth config","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the auth config was updated","isRequired":true,"uniqueKey":"success","typeLabel":"boolean"},"message":{"type":"string","description":"A human-readable result message","isRequired":true,"uniqueKey":"message","typeLabel":"string"}},"required":["success","message"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"success":true,"message":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"b858ba7a-31d5-44c8-8b0e-802e1e5433f7":{"description":"Bad request - Invalid input or credentials format","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"message":{"type":"string","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"code":{"type":"number","isRequired":true,"uniqueKey":"error.code","typeLabel":"number"},"slug":{"type":"string","isRequired":true,"uniqueKey":"error.slug","typeLabel":"string"},"status":{"type":"number","isRequired":true,"uniqueKey":"error.status","typeLabel":"number"},"request_id":{"type":"string","uniqueKey":"error.request_id","typeLabel":"string"},"suggested_fix":{"type":"string","uniqueKey":"error.suggested_fix","typeLabel":"string"},"errors":{"type":"array","items":{"type":"string","uniqueKey":"error.errors.items.[INDEX]","typeLabel":"string"},"uniqueKey":"error.errors","typeLabel":"string[]"}},"required":["message","code","slug","status"],"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"required":["error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"message":"\u003cstring>","code":123,"slug":"\u003cstring>","status":123,"request_id":"\u003cstring>","suggested_fix":"\u003cstring>","errors":["\u003cstring>"]}}}},"exampleType":"generated"}},"exampleType":"generated"},"89f0ade1-ad94-4eaa-b57f-106b5d7fa83d":{"description":"Unauthorized - Authentication required","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"message":{"type":"string","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"code":{"type":"number","isRequired":true,"uniqueKey":"error.code","typeLabel":"number"},"slug":{"type":"string","isRequired":true,"uniqueKey":"error.slug","typeLabel":"string"},"status":{"type":"number","isRequired":true,"uniqueKey":"error.status","typeLabel":"number"},"request_id":{"type":"string","uniqueKey":"error.request_id","typeLabel":"string"},"suggested_fix":{"type":"string","uniqueKey":"error.suggested_fix","typeLabel":"string"},"errors":{"type":"array","items":{"type":"string","uniqueKey":"error.errors.items.[INDEX]","typeLabel":"string"},"uniqueKey":"error.errors","typeLabel":"string[]"}},"required":["message","code","slug","status"],"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"required":["error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"message":"\u003cstring>","code":123,"slug":"\u003cstring>","status":123,"request_id":"\u003cstring>","suggested_fix":"\u003cstring>","errors":["\u003cstring>"]}}}},"exampleType":"generated"}},"exampleType":"generated"},"9a85c351-b3f3-4ff6-bf70-0e8b39288304":{"description":"Not found - Auth configuration does not exist","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"message":{"type":"string","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"code":{"type":"number","isRequired":true,"uniqueKey":"error.code","typeLabel":"number"},"slug":{"type":"string","isRequired":true,"uniqueKey":"error.slug","typeLabel":"string"},"status":{"type":"number","isRequired":true,"uniqueKey":"error.status","typeLabel":"number"},"request_id":{"type":"string","uniqueKey":"error.request_id","typeLabel":"string"},"suggested_fix":{"type":"string","uniqueKey":"error.suggested_fix","typeLabel":"string"},"errors":{"type":"array","items":{"type":"string","uniqueKey":"error.errors.items.[INDEX]","typeLabel":"string"},"uniqueKey":"error.errors","typeLabel":"string[]"}},"required":["message","code","slug","status"],"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"required":["error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"message":"\u003cstring>","code":123,"slug":"\u003cstring>","status":123,"request_id":"\u003cstring>","suggested_fix":"\u003cstring>","errors":["\u003cstring>"]}}}},"exampleType":"generated"}},"exampleType":"generated"},"d097bb0f-b9aa-4edd-9041-a882455c1c5d":{"description":"Internal server error - Something went wrong on the server","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"message":{"type":"string","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"code":{"type":"number","isRequired":true,"uniqueKey":"error.code","typeLabel":"number"},"slug":{"type":"string","isRequired":true,"uniqueKey":"error.slug","typeLabel":"string"},"status":{"type":"number","isRequired":true,"uniqueKey":"error.status","typeLabel":"number"},"request_id":{"type":"string","uniqueKey":"error.request_id","typeLabel":"string"},"suggested_fix":{"type":"string","uniqueKey":"error.suggested_fix","typeLabel":"string"},"errors":{"type":"array","items":{"type":"string","uniqueKey":"error.errors.items.[INDEX]","typeLabel":"string"},"uniqueKey":"error.errors","typeLabel":"string[]"}},"required":["message","code","slug","status"],"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"required":["error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"message":"\u003cstring>","code":123,"slug":"\u003cstring>","status":123,"request_id":"\u003cstring>","suggested_fix":"\u003cstring>","errors":["\u003cstring>"]}}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"af093886-4cf2-4d51-a130-08e912392b5b":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key","description":"Your Composio project API key. Create or copy it from the Composio dashboard.","x-default":"your-project-api-key","scopes":[],"schemeName":"ApiKeyAuth"}},"9babd37c-9de4-4e40-a37d-5dff66ed7b1a":{"UserApiKeyAuth":{"type":"apiKey","in":"header","name":"x-user-api-key","description":"Your Composio user API key for user-scoped endpoints.","x-default":"your-user-api-key","scopes":[],"schemeName":"UserApiKeyAuth"}}},"servers":{"88115a90-88a8-44fd-bf64-8d389b2a91c2":{"url":"https://backend.composio.dev","description":"Composio production API"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"x-api-key","description":"Your Composio project API key. Create or copy it from the Composio dashboard.","x-default":"your-project-api-key","scopes":[],"schemeName":"ApiKeyAuth"},"schema":{"title":"x-api-key","type":"string","description":"Your Composio project API key. Create or copy it from the Composio dashboard.","isRequired":true,"default":"your-project-api-key","typeLabel":"string","deprecated":false},"schemeName":"ApiKeyAuth","name":"x-api-key"}],"title":"ApiKeyAuth"},{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"x-user-api-key","description":"Your Composio user API key for user-scoped endpoints.","x-default":"your-user-api-key","scopes":[],"schemeName":"UserApiKeyAuth"},"schema":{"title":"x-user-api-key","type":"string","description":"Your Composio user API key for user-scoped endpoints.","isRequired":true,"default":"your-user-api-key","typeLabel":"string","deprecated":false},"schemeName":"UserApiKeyAuth","name":"x-user-api-key"}],"title":"UserApiKeyAuth"}]},"originalFileLocation":"api-reference/openapi.json"},"subdomain":"composio-preview","siteName":"Composio Docs","title":"Update an authentication configuration - Composio Docs","navMaps":{"firstHrefInVersion":{"v3.1":{"href":"/reference/api-reference/auth-configs/patchauthconfigsbynanoid","matchLevel":0},"v3.0":{"href":"/reference/v3/api-reference/auth-configs/getauthconfigs","matchLevel":2}},"firstHrefInLanguage":{}},"lastModified":"2026-11-06T23:37:56.540Z","originalFileLocation":"reference/api-reference/auth-configs/patchauthconfigsbynanoid.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"dark\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Modifies an existing authentication configuration with new credentials or other settings. Only specified fields will be updated.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Composio Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003cmeta data-mint-head name=\"robots\" content=\"noindex\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/composio-preview/clZwxWuV-UjwHDpH/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/composio-preview/clZwxWuV-UjwHDpH/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/composio-preview/clZwxWuV-UjwHDpH/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/composio-preview/clZwxWuV-UjwHDpH/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/composio-preview/clZwxWuV-UjwHDpH/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/composio-preview/clZwxWuV-UjwHDpH/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/composio-preview/clZwxWuV-UjwHDpH/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/composio-preview/clZwxWuV-UjwHDpH/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/composio-preview/clZwxWuV-UjwHDpH/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Update an authentication configuration - Composio Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Modifies an existing authentication configuration with new credentials or other settings. Only specified fields will be updated.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Composio Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://composio-preview.mintlify.app/reference/api-reference/auth-configs/patchauthconfigsbynanoid\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://composio-preview.mintlify.site/_mintlify/api/og/v2?division=Auth+Configs\u0026amp;title=Update+an+authentication+configuration\u0026amp;description=Modifies+an+existing+authentication+configuration+with+new+credentials+or+other+settings.+Only+specified+fields+will+be+updated.\u0026amp;theme=2a6064aea71db6aefd788ca2\u0026amp;signature=8e447a671eca738c7b3471568d0a83c47fd7c94482645eae03a2e368bb238469\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Update an authentication configuration - Composio Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Modifies an existing authentication configuration with new credentials or other settings. Only specified fields will be updated.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://composio-preview.mintlify.site/_mintlify/api/og/v2?division=Auth+Configs\u0026amp;title=Update+an+authentication+configuration\u0026amp;description=Modifies+an+existing+authentication+configuration+with+new+credentials+or+other+settings.+Only+specified+fields+will+be+updated.\u0026amp;theme=2a6064aea71db6aefd788ca2\u0026amp;signature=8e447a671eca738c7b3471568d0a83c47fd7c94482645eae03a2e368bb238469\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/composio-preview/clZwxWuV-UjwHDpH/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Composio Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#0007CD\">\u003clink data-mint-head rel=\"canonical\" href=\"https://composio-preview.mintlify.app/reference/api-reference/auth-configs/patchauthconfigsbynanoid\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/reference/api-reference/auth-configs/patchauthconfigsbynanoid.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://composio-preview.mintlify.app/#organization\",\"name\":\"Composio Docs\",\"url\":\"https://composio-preview.mintlify.app\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/composio-preview/cL3pOAF8H-TYHF1S/Composio%20Logo.svg?fit=max\u0026auto=format\u0026n=cL3pOAF8H-TYHF1S\u0026q=85\u0026s=c959b1b97e22caccd03fe5d3d71ab52b\"}},{\"@type\":\"WebSite\",\"@id\":\"https://composio-preview.mintlify.app#website\",\"name\":\"Composio Docs\",\"url\":\"https://composio-preview.mintlify.app\",\"publisher\":{\"@id\":\"https://composio-preview.mintlify.app/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://composio-preview.mintlify.app/reference/api-reference/auth-configs/patchauthconfigsbynanoid#webpage\",\"url\":\"https://composio-preview.mintlify.app/reference/api-reference/auth-configs/patchauthconfigsbynanoid\",\"name\":\"Update an authentication configuration\",\"description\":\"Modifies an existing authentication configuration with new credentials or other settings. Only specified fields will be updated.\",\"dateModified\":\"2026-11-06T23:37:56.540Z\",\"isPartOf\":{\"@id\":\"https://composio-preview.mintlify.app#website\"},\"breadcrumb\":{\"@id\":\"https://composio-preview.mintlify.app/reference/api-reference/auth-configs/patchauthconfigsbynanoid#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://composio-preview.mintlify.app/reference/api-reference/auth-configs/patchauthconfigsbynanoid#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Auth Configs\",\"item\":\"https://composio-preview.mintlify.app/reference/api-reference/auth-configs/getauthconfigs\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Update an authentication configuration\",\"item\":\"https://composio-preview.mintlify.app/reference/api-reference/auth-configs/patchauthconfigsbynanoid\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://composio-preview.mintlify.app/reference/api-reference/auth-configs/patchauthconfigsbynanoid#apireference\",\"headline\":\"Update an authentication configuration\",\"name\":\"Update an authentication configuration\",\"description\":\"Modifies an existing authentication configuration with new credentials or other settings. Only specified fields will be updated.\",\"url\":\"https://composio-preview.mintlify.app/reference/api-reference/auth-configs/patchauthconfigsbynanoid\",\"mainEntityOfPage\":{\"@id\":\"https://composio-preview.mintlify.app/reference/api-reference/auth-configs/patchauthconfigsbynanoid#webpage\"},\"dateModified\":\"2026-11-06T23:37:56.540Z\",\"publisher\":{\"@id\":\"https://composio-preview.mintlify.app/#organization\"},\"isPartOf\":{\"@id\":\"https://composio-preview.mintlify.app#website\"}}]}\u003c/script>","agentPointerHref":"/reference/api-reference/auth-configs/patchauthconfigsbynanoid.md","siteName":"Composio Docs","nav":{"global":null,"tabs":[{"tab":"Docs","products":[{"product":"Platform","description":"Build agents with the Composio SDK.","groups":[{"group":"Get started","pages":[{"group":"Agent setup","root":{"title":"Overview","href":"/docs/agent-setup"},"directory":"accordion","pages":[{"title":"Authenticate an unattended agent","sidebarTitle":"Unattended Agent Auth","href":"/docs/agent-setup/unattended-authentication"},{"title":"Clients","href":"/docs/agent-setup/clients"}]},{"title":"Quickstart","href":"/docs/quickstart"},{"group":"SDKs and frameworks","root":{"title":"SDKs and frameworks","href":"/docs/providers/index"},"directory":"accordion","pages":[{"title":"Anthropic","href":"/docs/providers/anthropic"},{"title":"OpenAI","href":"/docs/providers/openai"},{"title":"Vercel AI SDK","href":"/docs/providers/vercel"},{"title":"Pi","href":"/docs/providers/pi"},{"title":"Eve","href":"/docs/providers/eve"},{"title":"Google","href":"/docs/providers/google"},{"title":"TypeSafe","href":"/docs/providers/typesafe"},{"title":"LangChain","href":"/docs/providers/langchain"},{"title":"AutoGen","href":"/docs/providers/autogen"},{"title":"CrewAI","href":"/docs/providers/crewai"},{"title":"LlamaIndex","href":"/docs/providers/llamaindex"},{"title":"Mastra","href":"/docs/providers/mastra"},{"group":"Custom providers","root":{"title":"Custom Providers","href":"/docs/providers/custom-providers/index"},"directory":"accordion","pages":[{"title":"TypeScript Custom Provider","href":"/docs/providers/custom-providers/typescript"},{"title":"Python Custom Provider","href":"/docs/providers/custom-providers/python"}]}]}]},{"group":"Build","pages":[{"group":"Sessions","pages":[{"title":"What is a session?","sidebarTitle":"What is a Session?","href":"/docs/how-composio-works"},{"title":"Configuring Sessions","href":"/docs/configuring-sessions"},{"title":"Using saved session configs","href":"/docs/session-configs"},{"title":"Using sessions via MCP","href":"/docs/sessions-via-mcp"}]},{"group":"Toolkits \u0026 Tools","pages":[{"title":"Toolkits","href":"/docs/toolkits"},{"title":"Instant Tools","href":"/docs/instant-tools"}]},{"group":"Governance","pages":[{"title":"Tool hints","href":"/docs/governance/tool-hints"},{"title":"Approvals","href":"/docs/governance/approvals"},{"title":"Firewall","href":"/docs/firewall"}]},{"group":"Authentication","root":{"title":"Authentication","href":"/docs/authentication/index"},"directory":"accordion","pages":[{"title":"Managed authentication for your own tools","href":"/docs/authentication/managed-auth-for-custom-tools"},{"title":"Managing multiple connected accounts","sidebarTitle":"Multiple connected accounts","href":"/docs/authentication/managing-multiple-connected-accounts"},{"title":"Controlling scopes","href":"/docs/authentication/controlling-scopes"},{"title":"Manual auth management","href":"/docs/authentication/manually-authenticating"},{"title":"Programmatic auth configs","href":"/docs/authentication/programmatic-auth-configs"},{"title":"Importing existing connections","href":"/docs/authentication/importing-existing-connections"}]},{"title":"Skills","href":"/docs/skills"},{"group":"Triggers","pages":[{"title":"Triggers","href":"/docs/triggers"},{"group":"Set up triggers","pages":[{"title":"Creating triggers","href":"/docs/setting-up-triggers/creating-triggers"},{"title":"Receiving events","href":"/docs/setting-up-triggers/subscribing-to-events"},{"title":"Managing triggers","href":"/docs/setting-up-triggers/managing-triggers"},{"title":"Custom OAuth webhooks","href":"/docs/setting-up-triggers/custom-oauth-webhooks"},{"title":"Troubleshooting triggers","href":"/docs/setting-up-triggers/troubleshooting"}]}]}]},{"group":"Customize","pages":[{"group":"Extend sessions","expanded":false,"pages":[{"title":"Proxy execute","href":"/docs/extending-sessions/proxy-execute"},{"title":"Custom Tools and Toolkits","href":"/docs/extending-sessions/custom-tools-and-toolkits"},{"title":"Shared connections","href":"/docs/extending-sessions/shared-connections"},{"title":"Custom MCP","href":"/docs/extending-sessions/custom-mcp"}]},{"group":"Sandboxes","expanded":false,"pages":[{"title":"Remote sandbox","href":"/docs/sandbox/remote"},{"title":"Local sandbox","href":"/docs/sandbox/local"}]},{"group":"Guides \u0026 Examples","pages":[{"title":"Examples","sidebarTitle":"Overview","href":"/examples/index"},{"title":"Design a consumer agent with Composio","href":"/docs/consumer-agents"},{"title":"Design a B2B agent with Composio","href":"/docs/b2b-agents"}]}]},{"group":"Ship","pages":[{"title":"Move from prototype to production","href":"/docs/production-readiness"},{"title":"White-labeling authentication","href":"/docs/authentication/white-labeling-authentication"},{"group":"Production readiness","pages":[{"title":"Managed vs custom auth","href":"/docs/authentication/custom-app-vs-managed-app"},{"title":"Rate Limits","sidebarTitle":"Rate limits","href":"/reference/rate-limits"},{"title":"Stream logs to a SIEM","href":"/docs/poc-to-prod/stream-logs-to-a-siem"}]},{"group":"Security and data","expanded":false,"pages":[{"title":"Security","href":"/docs/security/overview"},{"title":"Token custody architecture","href":"/docs/security/token-custody"},{"title":"Data retention and handling","href":"/docs/security/data-retention"},{"title":"Zero Data Retention","href":"/docs/security/zero-data-retention"}]}]},{"group":"Reference and Migration","pages":[{"group":"Migration and legacy","expanded":false,"pages":[{"title":"Sessions vs Direct Execution","href":"/docs/sessions-vs-direct-execution"},{"group":"Migration guides","root":{"title":"Migration guides","href":"/docs/migration-guide/index"},"expanded":false,"directory":"accordion","pages":[{"title":"Migrate from No Auth to Instant","href":"/docs/migration-guide/no-auth-to-instant"},{"title":"Migrating from Direct Tools to Sessions","href":"/docs/migration-guide/direct-to-sessions"},{"title":"Migrating from MCP servers to Sessions","href":"/docs/migration-guide/mcp-servers-to-sessions"},{"title":"Migrating from Experimental Tool Router","href":"/docs/migration-guide/tool-router-beta"},{"title":"Toolkit versioning migration","href":"/docs/migration-guide/toolkit-versioning"},{"title":"Our next generation SDKs","href":"/docs/migration-guide/new-sdk"}]},{"group":"Direct execution","expanded":false,"pages":[{"title":"Fetching tools and schemas","href":"/docs/tools-direct/fetching-tools"},{"title":"Authenticating Tools","href":"/docs/tools-direct/authenticating-tools"},{"title":"Executing tools directly","href":"/docs/tools-direct/executing-tools"},{"group":"Modify tool behavior","pages":[{"title":"Schema Modifiers","href":"/docs/tools-direct/modify-tool-behavior/schema-modifiers"},{"title":"Before Execution Modifiers","href":"/docs/tools-direct/modify-tool-behavior/before-execution-modifiers"},{"title":"After Execution Modifiers","href":"/docs/tools-direct/modify-tool-behavior/after-execution-modifiers"}]},{"title":"Toolkit Versioning","href":"/docs/tools-direct/toolkit-versioning"}]},{"group":"Direct auth","expanded":false,"pages":[{"title":"Custom Auth Configs","href":"/docs/auth-configuration/custom-auth-configs"},{"title":"White-labeling (direct execution)","href":"/docs/auth-configuration/white-labeling"},{"title":"Custom Auth Parameters","href":"/docs/auth-configuration/custom-auth-params"},{"title":"Connected Accounts","href":"/docs/auth-configuration/connected-accounts"},{"title":"Migrating from initiate() to link()","href":"/docs/auth-configuration/migrating-initiate-to-link"}]}]}]},{"group":"Shared resources","pages":[{"title":"Build with the Composio skill","href":"/docs/using-composio-skill"}]}]},{"product":"For You","description":"Connect your apps to AI clients.","groups":[{"group":"Get started","pages":[{"title":"Agent plugins","href":"/docs/agent-plugins"},{"title":"Composio CLI","href":"/docs/cli"},{"title":"Composio Connect","sidebarTitle":"Connect with MCP","href":"/docs/composio-connect"}]}]}]},{"tab":"Knowledge Base","pages":[{"title":"Knowledge Base","href":"/kb"}]},{"tab":"Examples","pages":[{"title":"Examples","href":"/examples/sdk-examples"}]},{"tab":"Toolkits","pages":[{"title":"Toolkits","href":"/toolkits"}]},{"tab":"Reference","versions":[{"version":"v3.1","default":true,"tag":"Latest","pages":[{"group":"Overview","pages":[{"title":"Overview","sidebarTitle":"API reference","href":"/reference"},{"title":"Changelog","mode":"center","href":"/reference/changelog"},{"title":"Errors","href":"/reference/errors"},{"title":"Glossary","href":"/reference/glossary"}]},{"group":"Authenticating to Composio","root":{"title":"Overview","href":"/reference/authenticating-to-composio/index"},"directory":"accordion","pages":[{"title":"Scoped Project API Key","href":"/reference/authenticating-to-composio/project-api-key-permissions"}]},{"group":"API Reference","expanded":true,"pages":[{"group":"API Keys","pages":[{"title":"Revoke Composio API keys","openapi":"api-reference/openapi.json POST /api/v3.1/api_key_revocation","href":"/reference/api-reference/api-keys/postApiKeyRevocation"}]},{"group":"Auth Configs","root":{"title":"Auth Configs","href":"/reference/api-reference/auth-configs/index"},"directory":"accordion","pages":[{"title":"List authentication configurations with optional filters","openapi":"api-reference/openapi.json GET /api/v3.1/auth_configs","href":"/reference/api-reference/auth-configs/getAuthConfigs"},{"title":"Get single authentication configuration by ID","openapi":"api-reference/openapi.json GET /api/v3.1/auth_configs/{nanoid}","href":"/reference/api-reference/auth-configs/getAuthConfigsByNanoid"},{"title":"Create new authentication configuration","openapi":"api-reference/openapi.json POST /api/v3.1/auth_configs","href":"/reference/api-reference/auth-configs/postAuthConfigs"},{"title":"Update an authentication configuration","openapi":"api-reference/openapi.json PATCH /api/v3.1/auth_configs/{nanoid}","href":"/reference/api-reference/auth-configs/patchAuthConfigsByNanoid"},{"title":"Enable or disable an authentication configuration (DEPRECATED)","openapi":"api-reference/openapi.json PATCH /api/v3.1/auth_configs/{nanoid}/{status}","deprecated":true,"href":"/reference/api-reference/auth-configs/patchAuthConfigsByNanoidByStatus"},{"title":"Delete an authentication configuration","openapi":"api-reference/openapi.json DELETE /api/v3.1/auth_configs/{nanoid}","href":"/reference/api-reference/auth-configs/deleteAuthConfigsByNanoid"}]},{"group":"Connected Accounts","root":{"title":"Connected Accounts","href":"/reference/api-reference/connected-accounts/index"},"directory":"accordion","pages":[{"title":"List connected accounts with optional filters","openapi":"api-reference/openapi.json GET /api/v3.1/connected_accounts","href":"/reference/api-reference/connected-accounts/getConnectedAccounts"},{"title":"Get connected account details by ID","openapi":"api-reference/openapi.json GET /api/v3.1/connected_accounts/{nanoid}","href":"/reference/api-reference/connected-accounts/getConnectedAccountsByNanoid"},{"title":"Create a new connected account","openapi":"api-reference/openapi.json POST /api/v3.1/connected_accounts","href":"/reference/api-reference/connected-accounts/postConnectedAccounts"},{"title":"Re-initiate authentication for a connected account (DEPRECATED)","openapi":"api-reference/openapi.json POST /api/v3.1/connected_accounts/{nanoid}/refresh","deprecated":true,"href":"/reference/api-reference/connected-accounts/postConnectedAccountsByNanoidRefresh"},{"title":"Revoke a connected account at the provider","openapi":"api-reference/openapi.json POST /api/v3.1/connected_accounts/{nanoid}/revoke","href":"/reference/api-reference/connected-accounts/postConnectedAccountsByNanoidRevoke"},{"title":"Complete a deferred OAuth connection after identity verification","openapi":"api-reference/openapi.json POST /api/v3.1/connected_accounts/complete_auth","href":"/reference/api-reference/connected-accounts/postConnectedAccountsCompleteAuth"},{"title":"Create a new auth link session","openapi":"api-reference/openapi.json POST /api/v3.1/connected_accounts/link","href":"/reference/api-reference/connected-accounts/postConnectedAccountsLink"},{"title":"Enable or disable a connected account (DEPRECATED)","openapi":"api-reference/openapi.json PATCH /api/v3.1/connected_accounts/{nanoId}/status","deprecated":true,"href":"/reference/api-reference/connected-accounts/patchConnectedAccountsByNanoIdStatus"},{"title":"Update a connected account","openapi":"api-reference/openapi.json PATCH /api/v3.1/connected_accounts/{nanoid}","href":"/reference/api-reference/connected-accounts/patchConnectedAccountsByNanoid"},{"title":"Delete a connected account","openapi":"api-reference/openapi.json DELETE /api/v3.1/connected_accounts/{nanoid}","href":"/reference/api-reference/connected-accounts/deleteConnectedAccountsByNanoid"}]},{"group":"Files","root":{"title":"Files","href":"/reference/api-reference/files/index"},"directory":"accordion","pages":[{"title":"List files with optional app and action filters (DEPRECATED)","openapi":"api-reference/openapi.json GET /api/v3.1/files/list","deprecated":true,"href":"/reference/api-reference/files/getFilesList"},{"title":"Create presigned URL for request file upload to S3","openapi":"api-reference/openapi.json POST /api/v3.1/files/upload/request","href":"/reference/api-reference/files/postFilesUploadRequest"}]},{"group":"Logs","root":{"title":"Logs","href":"/reference/api-reference/logs/index"},"directory":"accordion","pages":[{"title":"Get log details by ID","openapi":"api-reference/openapi.json GET /api/v3.1/logs/tool_execution/{id}","href":"/reference/api-reference/logs/getLogsToolExecutionById"},{"title":"Search and retrieve tool execution logs","openapi":"api-reference/openapi.json POST /api/v3.1/logs/tool_execution","href":"/reference/api-reference/logs/postLogsToolExecution"}]},{"group":"MCP","root":{"title":"MCP","href":"/reference/api-reference/mcp/index"},"directory":"accordion","pages":[{"title":"List MCP servers for a specific app","openapi":"api-reference/openapi.json GET /api/v3.1/mcp/app/{appKey}","deprecated":true,"href":"/reference/api-reference/mcp/getMcpAppByAppKey"},{"title":"Get MCP server details by ID","openapi":"api-reference/openapi.json GET /api/v3.1/mcp/{id}","deprecated":true,"href":"/reference/api-reference/mcp/getMcpById"},{"title":"List MCP servers with optional filters and pagination","openapi":"api-reference/openapi.json GET /api/v3.1/mcp/servers","deprecated":true,"href":"/reference/api-reference/mcp/getMcpServers"},{"title":"List all instances for an MCP server","openapi":"api-reference/openapi.json GET /api/v3.1/mcp/servers/{serverId}/instances","deprecated":true,"href":"/reference/api-reference/mcp/getMcpServersByServerIdInstances"},{"title":"Create a new MCP server","openapi":"api-reference/openapi.json POST /api/v3.1/mcp/servers","deprecated":true,"href":"/reference/api-reference/mcp/postMcpServers"},{"title":"Create a new MCP server instance","openapi":"api-reference/openapi.json POST /api/v3.1/mcp/servers/{serverId}/instances","deprecated":true,"href":"/reference/api-reference/mcp/postMcpServersByServerIdInstances"},{"title":"Create a new custom MCP server with multiple apps","openapi":"api-reference/openapi.json POST /api/v3.1/mcp/servers/custom","deprecated":true,"href":"/reference/api-reference/mcp/postMcpServersCustom"},{"title":"Generate MCP URL with custom parameters","openapi":"api-reference/openapi.json POST /api/v3.1/mcp/servers/generate","deprecated":true,"href":"/reference/api-reference/mcp/postMcpServersGenerate"},{"title":"Update MCP server configuration","openapi":"api-reference/openapi.json PATCH /api/v3.1/mcp/{id}","deprecated":true,"href":"/reference/api-reference/mcp/patchMcpById"},{"title":"Delete an MCP server","openapi":"api-reference/openapi.json DELETE /api/v3.1/mcp/{id}","deprecated":true,"href":"/reference/api-reference/mcp/deleteMcpById"},{"title":"Delete an MCP server instance and associated connected accounts","openapi":"api-reference/openapi.json DELETE /api/v3.1/mcp/servers/{serverId}/instances/{instanceId}","deprecated":true,"href":"/reference/api-reference/mcp/deleteMcpServersByServerIdInstancesByInstanceId"}]},{"group":"Organization","root":{"title":"Organization","href":"/reference/api-reference/organization/index"},"directory":"accordion","pages":[{"title":"Org usage breakdown","openapi":"api-reference/openapi.json POST /api/v3.1/org/usage/{entity_type}","href":"/reference/api-reference/organization/postOrgUsageByEntityType"},{"title":"Org usage summary","openapi":"api-reference/openapi.json POST /api/v3.1/org/usage/summary","href":"/reference/api-reference/organization/postOrgUsageSummary"}]},{"group":"Organization Management","pages":[{"title":"List organizations","openapi":"api-reference/openapi.json GET /api/v3.1/org/list","href":"/reference/api-reference/organization-management/getOrgList"}]},{"group":"Projects","root":{"title":"Projects","href":"/reference/api-reference/projects/index"},"directory":"accordion","pages":[{"title":"Get project details by ID With Org Api key","openapi":"api-reference/openapi.json GET /api/v3.1/org/owner/project/{nano_id}","href":"/reference/api-reference/projects/getOrgOwnerProjectByNanoId"},{"title":"List all projects","openapi":"api-reference/openapi.json GET /api/v3.1/org/owner/project/list","href":"/reference/api-reference/projects/getOrgOwnerProjectList"},{"title":"List all projects","openapi":"api-reference/openapi.json GET /api/v3.1/org/project/list","href":"/reference/api-reference/projects/getOrgProjectList"},{"title":"Delete and generate new API key for project","openapi":"api-reference/openapi.json POST /api/v3.1/org/owner/project/{nano_id}/regenerate_api_key","href":"/reference/api-reference/projects/postOrgOwnerProjectByNanoIdRegenerateApiKey"},{"title":"Create a new project","openapi":"api-reference/openapi.json POST /api/v3.1/org/owner/project/new","href":"/reference/api-reference/projects/postOrgOwnerProjectNew"},{"title":"Project usage breakdown","openapi":"api-reference/openapi.json POST /api/v3.1/project/usage/{entity_type}","href":"/reference/api-reference/projects/postProjectUsageByEntityType"},{"title":"Project usage summary","openapi":"api-reference/openapi.json POST /api/v3.1/project/usage/summary","href":"/reference/api-reference/projects/postProjectUsageSummary"},{"title":"Delete a project","openapi":"api-reference/openapi.json DELETE /api/v3.1/org/owner/project/{nano_id}","href":"/reference/api-reference/projects/deleteOrgOwnerProjectByNanoId"}]},{"group":"Sessions (prev Tool Router)","root":{"title":"Sessions (prev Tool Router)","href":"/reference/api-reference/tool-router/index"},"directory":"accordion","pages":[{"title":"List Session configs","openapi":"api-reference/openapi.json GET /api/v3.1/session_configs","href":"/reference/api-reference/tool-router/getSessionConfigs"},{"title":"Retrieve a Session config","openapi":"api-reference/openapi.json GET /api/v3.1/session_configs/{session_config_id}","href":"/reference/api-reference/tool-router/getSessionConfigsBySessionConfigId"},{"title":"Get a tool router session by ID (v3.1)","openapi":"api-reference/openapi.json GET /api/v3.1/tool_router/session/{session_id}","href":"/reference/api-reference/tool-router/getToolRouterSessionBySessionId"},{"title":"List a tool router session config history","openapi":"api-reference/openapi.json GET /api/v3.1/tool_router/session/{session_id}/config_history","href":"/reference/api-reference/tool-router/getToolRouterSessionBySessionIdConfigHistory"},{"title":"List files in a session mount","openapi":"api-reference/openapi.json GET /api/v3.1/tool_router/session/{session_id}/mounts/{mount_id}/items","href":"/reference/api-reference/tool-router/getToolRouterSessionBySessionIdMountsByMountIdItems"},{"title":"Get toolkits for a tool router session","openapi":"api-reference/openapi.json GET /api/v3.1/tool_router/session/{session_id}/toolkits","href":"/reference/api-reference/tool-router/getToolRouterSessionBySessionIdToolkits"},{"title":"List tools with schemas for a tool router session (v3.1)","openapi":"api-reference/openapi.json GET /api/v3.1/tool_router/session/{session_id}/tools","href":"/reference/api-reference/tool-router/getToolRouterSessionBySessionIdTools"},{"title":"Create a new tool router session","openapi":"api-reference/openapi.json POST /api/v3.1/tool_router/session","href":"/reference/api-reference/tool-router/postToolRouterSession"},{"title":"Attach to an existing tool router session (v3.1)","openapi":"api-reference/openapi.json POST /api/v3.1/tool_router/session/{session_id}/attach","href":"/reference/api-reference/tool-router/postToolRouterSessionBySessionIdAttach"},{"title":"Execute a tool within a tool router session","openapi":"api-reference/openapi.json POST /api/v3.1/tool_router/session/{session_id}/execute","href":"/reference/api-reference/tool-router/postToolRouterSessionBySessionIdExecute"},{"title":"Execute a meta tool within a tool router session","openapi":"api-reference/openapi.json POST /api/v3.1/tool_router/session/{session_id}/execute_meta","href":"/reference/api-reference/tool-router/postToolRouterSessionBySessionIdExecuteMeta"},{"title":"Create a link session for a toolkit in a tool router session","openapi":"api-reference/openapi.json POST /api/v3.1/tool_router/session/{session_id}/link","href":"/reference/api-reference/tool-router/postToolRouterSessionBySessionIdLink"},{"title":"Delete a file from a session mount","openapi":"api-reference/openapi.json POST /api/v3.1/tool_router/session/{session_id}/mounts/{mount_id}/delete","href":"/reference/api-reference/tool-router/postToolRouterSessionBySessionIdMountsByMountIdDelete"},{"title":"Create a presigned download URL for a mount file","openapi":"api-reference/openapi.json POST /api/v3.1/tool_router/session/{session_id}/mounts/{mount_id}/download_url","href":"/reference/api-reference/tool-router/postToolRouterSessionBySessionIdMountsByMountIdDownloadUrl"},{"title":"Create a presigned upload URL for a mount file","openapi":"api-reference/openapi.json POST /api/v3.1/tool_router/session/{session_id}/mounts/{mount_id}/upload_url","href":"/reference/api-reference/tool-router/postToolRouterSessionBySessionIdMountsByMountIdUploadUrl"},{"title":"Execute proxy request within a tool router session","openapi":"api-reference/openapi.json POST /api/v3.1/tool_router/session/{session_id}/proxy_execute","href":"/reference/api-reference/tool-router/postToolRouterSessionBySessionIdProxyExecute"},{"title":"Search for tools using a query","openapi":"api-reference/openapi.json POST /api/v3.1/tool_router/session/{session_id}/search","href":"/reference/api-reference/tool-router/postToolRouterSessionBySessionIdSearch"},{"title":"Patch a tool router session config (v3.1)","openapi":"api-reference/openapi.json PATCH /api/v3.1/tool_router/session/{session_id}","href":"/reference/api-reference/tool-router/patchToolRouterSessionBySessionId"},{"title":"Delete a tool router session","openapi":"api-reference/openapi.json DELETE /api/v3.1/tool_router/session/{session_id}","href":"/reference/api-reference/tool-router/deleteToolRouterSessionBySessionId"}]},{"group":"Toolkits","root":{"title":"Toolkits","href":"/reference/api-reference/toolkits/index"},"directory":"accordion","pages":[{"title":"List available toolkits","openapi":"api-reference/openapi.json GET /api/v3.1/toolkits","href":"/reference/api-reference/toolkits/getToolkits"},{"title":"Get toolkit by slug","openapi":"api-reference/openapi.json GET /api/v3.1/toolkits/{slug}","href":"/reference/api-reference/toolkits/getToolkitsBySlug"},{"title":"List toolkit categories","openapi":"api-reference/openapi.json GET /api/v3.1/toolkits/categories","href":"/reference/api-reference/toolkits/getToolkitsCategories"},{"title":"Get toolkits changelog","openapi":"api-reference/openapi.json GET /api/v3.1/toolkits/changelog","href":"/reference/api-reference/toolkits/getToolkitsChangelog"},{"title":"List grant contexts","openapi":"api-reference/openapi.json GET /api/v3.1/toolkits/{toolkit_slug}/scopes/grant_context","href":"/reference/api-reference/toolkits/recommendToolkitScopesGrantContext"},{"title":"Create a custom toolkit","openapi":"api-reference/openapi.json POST /api/v3.1/custom/toolkits","href":"/reference/api-reference/toolkits/postCustomToolkits"},{"title":"Sync a custom toolkit","openapi":"api-reference/openapi.json POST /api/v3.1/custom/toolkits/sync","href":"/reference/api-reference/toolkits/postCustomToolkitsSync"},{"title":"Upsert a custom toolkit","openapi":"api-reference/openapi.json POST /api/v3.1/custom/toolkits/upsert","href":"/reference/api-reference/toolkits/postCustomToolkitsUpsert"},{"title":"Fetch multiple toolkits","openapi":"api-reference/openapi.json POST /api/v3.1/toolkits/multi","href":"/reference/api-reference/toolkits/postToolkitsMulti"},{"title":"Get required scopes","openapi":"api-reference/openapi.json POST /api/v3.1/toolkits/{toolkit_slug}/scopes/recommended","href":"/reference/api-reference/toolkits/recommendToolkitScopes"},{"title":"Update a custom toolkit","openapi":"api-reference/openapi.json PATCH /api/v3.1/custom/toolkits/{slug}","href":"/reference/api-reference/toolkits/patchCustomToolkitsBySlug"},{"title":"Delete a custom toolkit","openapi":"api-reference/openapi.json DELETE /api/v3.1/custom/toolkits/{slug}","href":"/reference/api-reference/toolkits/deleteCustomToolkitsBySlug"}]},{"group":"Tools","root":{"title":"Tools","href":"/reference/api-reference/tools/index"},"directory":"accordion","pages":[{"title":"List available tools","openapi":"api-reference/openapi.json GET /api/v3.1/tools","href":"/reference/api-reference/tools/getTools"},{"title":"Get tool by slug","openapi":"api-reference/openapi.json GET /api/v3.1/tools/{tool_slug}","href":"/reference/api-reference/tools/getToolsByToolSlug"},{"title":"Get tool enum list","openapi":"api-reference/openapi.json GET /api/v3.1/tools/enum","href":"/reference/api-reference/tools/getToolsEnum"},{"title":"Execute tool","openapi":"api-reference/openapi.json POST /api/v3.1/tools/execute/{tool_slug}","href":"/reference/api-reference/tools/postToolsExecuteByToolSlug"},{"title":"Generate tool inputs from natural language (DEPRECATED)","openapi":"api-reference/openapi.json POST /api/v3.1/tools/execute/{tool_slug}/input","deprecated":true,"href":"/reference/api-reference/tools/postToolsExecuteByToolSlugInput"},{"title":"Execute proxy request","openapi":"api-reference/openapi.json POST /api/v3.1/tools/execute/proxy","href":"/reference/api-reference/tools/postToolsExecuteProxy"},{"title":"Get required scopes for tools (DEPRECATED)","openapi":"api-reference/openapi.json POST /api/v3.1/tools/scopes/required","deprecated":true,"href":"/reference/api-reference/tools/postToolsScopesRequired"}]},{"group":"Triggers","root":{"title":"Triggers","href":"/reference/api-reference/triggers/index"},"directory":"accordion","pages":[{"title":"List active triggers","openapi":"api-reference/openapi.json GET /api/v3.1/trigger_instances/active","href":"/reference/api-reference/triggers/getTriggerInstancesActive"},{"title":"List trigger types","openapi":"api-reference/openapi.json GET /api/v3.1/triggers_types","href":"/reference/api-reference/triggers/getTriggersTypes"},{"title":"Get trigger type by slug","openapi":"api-reference/openapi.json GET /api/v3.1/triggers_types/{slug}","href":"/reference/api-reference/triggers/getTriggersTypesBySlug"},{"title":"List trigger type enums","openapi":"api-reference/openapi.json GET /api/v3.1/triggers_types/list/enum","href":"/reference/api-reference/triggers/getTriggersTypesListEnum"},{"title":"Create or update a trigger","openapi":"api-reference/openapi.json POST /api/v3.1/trigger_instances/{slug}/upsert","href":"/reference/api-reference/triggers/postTriggerInstancesBySlugUpsert"},{"title":"Update a trigger","openapi":"api-reference/openapi.json PATCH /api/v3.1/trigger_instances/manage/{triggerId}","href":"/reference/api-reference/triggers/patchTriggerInstancesManageByTriggerId"},{"title":"Delete a trigger","openapi":"api-reference/openapi.json DELETE /api/v3.1/trigger_instances/manage/{triggerId}","href":"/reference/api-reference/triggers/deleteTriggerInstancesManageByTriggerId"}]},{"group":"Webhook Endpoints","root":{"title":"Webhook Endpoints","href":"/reference/api-reference/webhook-endpoints/index"},"directory":"accordion","pages":[{"title":"List webhook endpoints","openapi":"api-reference/openapi.json GET /api/v3.1/webhook_endpoints","href":"/reference/api-reference/webhook-endpoints/getWebhookEndpoints"},{"title":"Get webhook endpoint","openapi":"api-reference/openapi.json GET /api/v3.1/webhook_endpoints/{nano_id}","href":"/reference/api-reference/webhook-endpoints/getWebhookEndpointsByNanoId"},{"title":"Create webhook endpoint","openapi":"api-reference/openapi.json POST /api/v3.1/webhook_endpoints","href":"/reference/api-reference/webhook-endpoints/postWebhookEndpoints"},{"title":"Put webhook endpoint configuration","openapi":"api-reference/openapi.json POST /api/v3.1/webhook_endpoints/{nano_id}","href":"/reference/api-reference/webhook-endpoints/postWebhookEndpointsByNanoId"},{"title":"Update webhook endpoint configuration","openapi":"api-reference/openapi.json PATCH /api/v3.1/webhook_endpoints/{nano_id}","href":"/reference/api-reference/webhook-endpoints/patchWebhookEndpointsByNanoId"}]},{"group":"Webhook Events","root":{"title":"Webhook Events","href":"/reference/api-reference/webhook-events/index"},"directory":"accordion","pages":[{"title":"Connection activated","openapi":"api-reference/openapi.json webhook composio.connected_account.activated","href":"/reference/api-reference/webhook-events/composio_connected_account_activated"},{"title":"Connection expired","openapi":"api-reference/openapi.json webhook composio.connected_account.expired","href":"/reference/api-reference/webhook-events/composio_connected_account_expired"},{"title":"Trigger disabled","openapi":"api-reference/openapi.json webhook composio.trigger.disabled","href":"/reference/api-reference/webhook-events/composio_trigger_disabled"},{"title":"Trigger message","openapi":"api-reference/openapi.json webhook composio.trigger.message","href":"/reference/api-reference/webhook-events/composio_trigger_message"},{"title":"Trigger message (V1)","openapi":"api-reference/openapi.json webhook composio.trigger.message.v1","deprecated":true,"href":"/reference/api-reference/webhook-events/composio_trigger_message_v1"},{"title":"Trigger message (V2)","openapi":"api-reference/openapi.json webhook composio.trigger.message.v2","deprecated":true,"href":"/reference/api-reference/webhook-events/composio_trigger_message_v2"}]},{"group":"Webhook Subscriptions","root":{"title":"Webhook Subscriptions","href":"/reference/api-reference/webhook-subscriptions/index"},"directory":"accordion","pages":[{"title":"List webhook subscriptions","openapi":"api-reference/openapi.json GET /api/v3.1/webhook_subscriptions","href":"/reference/api-reference/webhook-subscriptions/getWebhookSubscriptions"},{"title":"Get webhook subscription","openapi":"api-reference/openapi.json GET /api/v3.1/webhook_subscriptions/{id}","href":"/reference/api-reference/webhook-subscriptions/getWebhookSubscriptionsById"},{"title":"List available event types","openapi":"api-reference/openapi.json GET /api/v3.1/webhook_subscriptions/event_types","href":"/reference/api-reference/webhook-subscriptions/getWebhookSubscriptionsEventTypes"},{"title":"Create webhook subscription","openapi":"api-reference/openapi.json POST /api/v3.1/webhook_subscriptions","href":"/reference/api-reference/webhook-subscriptions/postWebhookSubscriptions"},{"title":"Rotate webhook secret","openapi":"api-reference/openapi.json POST /api/v3.1/webhook_subscriptions/{id}/rotate_secret","href":"/reference/api-reference/webhook-subscriptions/postWebhookSubscriptionsByIdRotateSecret"},{"title":"Update webhook subscription","openapi":"api-reference/openapi.json PATCH /api/v3.1/webhook_subscriptions/{id}","href":"/reference/api-reference/webhook-subscriptions/patchWebhookSubscriptionsById"},{"title":"Delete webhook subscription","openapi":"api-reference/openapi.json DELETE /api/v3.1/webhook_subscriptions/{id}","href":"/reference/api-reference/webhook-subscriptions/deleteWebhookSubscriptionsById"}]}]}],"groups":[{"group":"Sessions (Prev Tool Router)","pages":[{"title":"List Session configs","deprecated":false,"version":null,"sidebarTitle":"Getsessionconfigs","openapi":"/api-reference/openapi.json get /api/v3.1/session_configs","href":"/reference/api-reference/tool-router/getsessionconfigs"},{"title":"Retrieve a Session config","deprecated":false,"version":null,"sidebarTitle":"Getsessionconfigsbysessionconfigid","openapi":"/api-reference/openapi.json get /api/v3.1/session_configs/{session_config_id}","href":"/reference/api-reference/tool-router/getsessionconfigsbysessionconfigid"},{"title":"Create a new tool router session","deprecated":false,"version":null,"sidebarTitle":"Posttoolroutersession","openapi":"/api-reference/openapi.json post /api/v3.1/tool_router/session","href":"/reference/api-reference/tool-router/posttoolroutersession"},{"title":"Get a tool router session by ID (v3.1)","deprecated":false,"version":null,"sidebarTitle":"Gettoolroutersessionbysessionid","openapi":"/api-reference/openapi.json get /api/v3.1/tool_router/session/{session_id}","href":"/reference/api-reference/tool-router/gettoolroutersessionbysessionid"},{"title":"Delete a tool router session","deprecated":false,"version":null,"sidebarTitle":"Deletetoolroutersessionbysessionid","openapi":"/api-reference/openapi.json delete /api/v3.1/tool_router/session/{session_id}","href":"/reference/api-reference/tool-router/deletetoolroutersessionbysessionid"},{"title":"Patch a tool router session config (v3.1)","deprecated":false,"version":null,"sidebarTitle":"Patchtoolroutersessionbysessionid","openapi":"/api-reference/openapi.json patch /api/v3.1/tool_router/session/{session_id}","href":"/reference/api-reference/tool-router/patchtoolroutersessionbysessionid"},{"title":"Attach to an existing tool router session (v3.1)","deprecated":false,"version":null,"sidebarTitle":"Posttoolroutersessionbysessionidattach","openapi":"/api-reference/openapi.json post /api/v3.1/tool_router/session/{session_id}/attach","href":"/reference/api-reference/tool-router/posttoolroutersessionbysessionidattach"},{"title":"List a tool router session config history","deprecated":false,"version":null,"sidebarTitle":"Gettoolroutersessionbysessionidconfighistory","openapi":"/api-reference/openapi.json get /api/v3.1/tool_router/session/{session_id}/config_history","href":"/reference/api-reference/tool-router/gettoolroutersessionbysessionidconfighistory"},{"title":"Search for tools using a query","deprecated":false,"version":null,"sidebarTitle":"Posttoolroutersessionbysessionidsearch","openapi":"/api-reference/openapi.json post /api/v3.1/tool_router/session/{session_id}/search","href":"/reference/api-reference/tool-router/posttoolroutersessionbysessionidsearch"},{"title":"List tools with schemas for a tool router session (v3.1)","deprecated":false,"version":null,"sidebarTitle":"Gettoolroutersessionbysessionidtools","openapi":"/api-reference/openapi.json get /api/v3.1/tool_router/session/{session_id}/tools","href":"/reference/api-reference/tool-router/gettoolroutersessionbysessionidtools"},{"title":"Execute a tool within a tool router session","deprecated":false,"version":null,"sidebarTitle":"Posttoolroutersessionbysessionidexecute","openapi":"/api-reference/openapi.json post /api/v3.1/tool_router/session/{session_id}/execute","href":"/reference/api-reference/tool-router/posttoolroutersessionbysessionidexecute"},{"title":"Execute a meta tool within a tool router session","deprecated":false,"version":null,"sidebarTitle":"Posttoolroutersessionbysessionidexecutemeta","openapi":"/api-reference/openapi.json post /api/v3.1/tool_router/session/{session_id}/execute_meta","href":"/reference/api-reference/tool-router/posttoolroutersessionbysessionidexecutemeta"},{"title":"Create a link session for a toolkit in a tool router session","deprecated":false,"version":null,"sidebarTitle":"Posttoolroutersessionbysessionidlink","openapi":"/api-reference/openapi.json post /api/v3.1/tool_router/session/{session_id}/link","href":"/reference/api-reference/tool-router/posttoolroutersessionbysessionidlink"},{"title":"Execute proxy request within a tool router session","deprecated":false,"version":null,"sidebarTitle":"Posttoolroutersessionbysessionidproxyexecute","openapi":"/api-reference/openapi.json post /api/v3.1/tool_router/session/{session_id}/proxy_execute","href":"/reference/api-reference/tool-router/posttoolroutersessionbysessionidproxyexecute"},{"title":"Get toolkits for a tool router session","deprecated":false,"version":null,"sidebarTitle":"Gettoolroutersessionbysessionidtoolkits","openapi":"/api-reference/openapi.json get /api/v3.1/tool_router/session/{session_id}/toolkits","href":"/reference/api-reference/tool-router/gettoolroutersessionbysessionidtoolkits"},{"title":"List files in a session mount","deprecated":false,"version":null,"sidebarTitle":"Gettoolroutersessionbysessionidmountsbymountiditems","openapi":"/api-reference/openapi.json get /api/v3.1/tool_router/session/{session_id}/mounts/{mount_id}/items","href":"/reference/api-reference/tool-router/gettoolroutersessionbysessionidmountsbymountiditems"},{"title":"Create a presigned download URL for a mount file","deprecated":false,"version":null,"sidebarTitle":"Posttoolroutersessionbysessionidmountsbymountiddownloadurl","openapi":"/api-reference/openapi.json post /api/v3.1/tool_router/session/{session_id}/mounts/{mount_id}/download_url","href":"/reference/api-reference/tool-router/posttoolroutersessionbysessionidmountsbymountiddownloadurl"},{"title":"Create a presigned upload URL for a mount file","deprecated":false,"version":null,"sidebarTitle":"Posttoolroutersessionbysessionidmountsbymountiduploadurl","openapi":"/api-reference/openapi.json post /api/v3.1/tool_router/session/{session_id}/mounts/{mount_id}/upload_url","href":"/reference/api-reference/tool-router/posttoolroutersessionbysessionidmountsbymountiduploadurl"},{"title":"Delete a file from a session mount","deprecated":false,"version":null,"sidebarTitle":"Posttoolroutersessionbysessionidmountsbymountiddelete","openapi":"/api-reference/openapi.json post /api/v3.1/tool_router/session/{session_id}/mounts/{mount_id}/delete","href":"/reference/api-reference/tool-router/posttoolroutersessionbysessionidmountsbymountiddelete"}]},{"group":"Authentication","pages":[]},{"group":"API Keys","pages":[{"title":"Revoke Composio API keys","deprecated":false,"version":null,"sidebarTitle":"Postapikeyrevocation","openapi":"/api-reference/openapi.json post /api/v3.1/api_key_revocation","href":"/reference/api-reference/api-keys/postapikeyrevocation"}]},{"group":"Logs","pages":[{"title":"Search and retrieve tool execution logs","deprecated":false,"version":null,"sidebarTitle":"Postlogstoolexecution","openapi":"/api-reference/openapi.json post /api/v3.1/logs/tool_execution","href":"/reference/api-reference/logs/postlogstoolexecution"},{"title":"Get log details by ID","deprecated":false,"version":null,"sidebarTitle":"Getlogstoolexecutionbyid","openapi":"/api-reference/openapi.json get /api/v3.1/logs/tool_execution/{id}","href":"/reference/api-reference/logs/getlogstoolexecutionbyid"}]},{"group":"Tools","pages":[{"title":"List available tools","deprecated":false,"version":null,"sidebarTitle":"Gettools","openapi":"/api-reference/openapi.json get /api/v3.1/tools","href":"/reference/api-reference/tools/gettools"},{"title":"Get tool enum list","deprecated":false,"version":null,"sidebarTitle":"Gettoolsenum","openapi":"/api-reference/openapi.json get /api/v3.1/tools/enum","href":"/reference/api-reference/tools/gettoolsenum"},{"title":"Get tool by slug","deprecated":false,"version":null,"sidebarTitle":"Gettoolsbytoolslug","openapi":"/api-reference/openapi.json get /api/v3.1/tools/{tool_slug}","href":"/reference/api-reference/tools/gettoolsbytoolslug"},{"title":"Execute tool","deprecated":false,"version":null,"sidebarTitle":"Posttoolsexecutebytoolslug","openapi":"/api-reference/openapi.json post /api/v3.1/tools/execute/{tool_slug}","href":"/reference/api-reference/tools/posttoolsexecutebytoolslug"},{"title":"Generate tool inputs from natural language (DEPRECATED)","deprecated":true,"version":null,"sidebarTitle":"Posttoolsexecutebytoolsluginput","openapi":"/api-reference/openapi.json post /api/v3.1/tools/execute/{tool_slug}/input","href":"/reference/api-reference/tools/posttoolsexecutebytoolsluginput"},{"title":"Execute proxy request","deprecated":false,"version":null,"sidebarTitle":"Posttoolsexecuteproxy","openapi":"/api-reference/openapi.json post /api/v3.1/tools/execute/proxy","href":"/reference/api-reference/tools/posttoolsexecuteproxy"},{"title":"Get required scopes for tools (DEPRECATED)","deprecated":true,"version":null,"sidebarTitle":"Posttoolsscopesrequired","openapi":"/api-reference/openapi.json post /api/v3.1/tools/scopes/required","href":"/reference/api-reference/tools/posttoolsscopesrequired"}]},{"group":"Connected Accounts","pages":[{"title":"Revoke a connected account at the provider","deprecated":false,"version":null,"sidebarTitle":"Postconnectedaccountsbynanoidrevoke","openapi":"/api-reference/openapi.json post /api/v3.1/connected_accounts/{nanoid}/revoke","href":"/reference/api-reference/connected-accounts/postconnectedaccountsbynanoidrevoke"},{"title":"Complete a deferred OAuth connection after identity verification","deprecated":false,"version":null,"sidebarTitle":"Postconnectedaccountscompleteauth","openapi":"/api-reference/openapi.json post /api/v3.1/connected_accounts/complete_auth","href":"/reference/api-reference/connected-accounts/postconnectedaccountscompleteauth"},{"title":"List connected accounts with optional filters","deprecated":false,"version":null,"sidebarTitle":"Getconnectedaccounts","openapi":"/api-reference/openapi.json get /api/v3.1/connected_accounts","href":"/reference/api-reference/connected-accounts/getconnectedaccounts"},{"title":"Create a new connected account","deprecated":false,"version":null,"sidebarTitle":"Postconnectedaccounts","openapi":"/api-reference/openapi.json post /api/v3.1/connected_accounts","href":"/reference/api-reference/connected-accounts/postconnectedaccounts"},{"title":"Get connected account details by ID","deprecated":false,"version":null,"sidebarTitle":"Getconnectedaccountsbynanoid","openapi":"/api-reference/openapi.json get /api/v3.1/connected_accounts/{nanoid}","href":"/reference/api-reference/connected-accounts/getconnectedaccountsbynanoid"},{"title":"Delete a connected account","deprecated":false,"version":null,"sidebarTitle":"Deleteconnectedaccountsbynanoid","openapi":"/api-reference/openapi.json delete /api/v3.1/connected_accounts/{nanoid}","href":"/reference/api-reference/connected-accounts/deleteconnectedaccountsbynanoid"},{"title":"Update a connected account","deprecated":false,"version":null,"sidebarTitle":"Patchconnectedaccountsbynanoid","openapi":"/api-reference/openapi.json patch /api/v3.1/connected_accounts/{nanoid}","href":"/reference/api-reference/connected-accounts/patchconnectedaccountsbynanoid"},{"title":"Enable or disable a connected account (DEPRECATED)","deprecated":true,"version":null,"sidebarTitle":"Patchconnectedaccountsbynanoidstatus","openapi":"/api-reference/openapi.json patch /api/v3.1/connected_accounts/{nanoId}/status","href":"/reference/api-reference/connected-accounts/patchconnectedaccountsbynanoidstatus"},{"title":"Re-initiate authentication for a connected account (DEPRECATED)","deprecated":true,"version":null,"sidebarTitle":"Postconnectedaccountsbynanoidrefresh","openapi":"/api-reference/openapi.json post /api/v3.1/connected_accounts/{nanoid}/refresh","href":"/reference/api-reference/connected-accounts/postconnectedaccountsbynanoidrefresh"},{"title":"Create a new auth link session","deprecated":false,"version":null,"sidebarTitle":"Postconnectedaccountslink","openapi":"/api-reference/openapi.json post /api/v3.1/connected_accounts/link","href":"/reference/api-reference/connected-accounts/postconnectedaccountslink"}]},{"group":"Toolkits","pages":[{"title":"Create a custom toolkit","deprecated":false,"version":null,"sidebarTitle":"Postcustomtoolkits","openapi":"/api-reference/openapi.json post /api/v3.1/custom/toolkits","href":"/reference/api-reference/toolkits/postcustomtoolkits"},{"title":"Delete a custom toolkit","deprecated":false,"version":null,"sidebarTitle":"Deletecustomtoolkitsbyslug","openapi":"/api-reference/openapi.json delete /api/v3.1/custom/toolkits/{slug}","href":"/reference/api-reference/toolkits/deletecustomtoolkitsbyslug"},{"title":"Update a custom toolkit","deprecated":false,"version":null,"sidebarTitle":"Patchcustomtoolkitsbyslug","openapi":"/api-reference/openapi.json patch /api/v3.1/custom/toolkits/{slug}","href":"/reference/api-reference/toolkits/patchcustomtoolkitsbyslug"},{"title":"Get required scopes","deprecated":false,"version":null,"sidebarTitle":"Recommendtoolkitscopes","openapi":"/api-reference/openapi.json post /api/v3.1/toolkits/{toolkit_slug}/scopes/recommended","href":"/reference/api-reference/toolkits/recommendtoolkitscopes"},{"title":"List grant contexts","deprecated":false,"version":null,"sidebarTitle":"Recommendtoolkitscopesgrantcontext","openapi":"/api-reference/openapi.json get /api/v3.1/toolkits/{toolkit_slug}/scopes/grant_context","href":"/reference/api-reference/toolkits/recommendtoolkitscopesgrantcontext"},{"title":"List available toolkits","deprecated":false,"version":null,"sidebarTitle":"Gettoolkits","openapi":"/api-reference/openapi.json get /api/v3.1/toolkits","href":"/reference/api-reference/toolkits/gettoolkits"},{"title":"List toolkit categories","deprecated":false,"version":null,"sidebarTitle":"Gettoolkitscategories","openapi":"/api-reference/openapi.json get /api/v3.1/toolkits/categories","href":"/reference/api-reference/toolkits/gettoolkitscategories"},{"title":"Upsert a custom toolkit","deprecated":false,"version":null,"sidebarTitle":"Postcustomtoolkitsupsert","openapi":"/api-reference/openapi.json post /api/v3.1/custom/toolkits/upsert","href":"/reference/api-reference/toolkits/postcustomtoolkitsupsert"},{"title":"Sync a custom toolkit","deprecated":false,"version":null,"sidebarTitle":"Postcustomtoolkitssync","openapi":"/api-reference/openapi.json post /api/v3.1/custom/toolkits/sync","href":"/reference/api-reference/toolkits/postcustomtoolkitssync"},{"title":"Get toolkit by slug","deprecated":false,"version":null,"sidebarTitle":"Gettoolkitsbyslug","openapi":"/api-reference/openapi.json get /api/v3.1/toolkits/{slug}","href":"/reference/api-reference/toolkits/gettoolkitsbyslug"},{"title":"Fetch multiple toolkits","deprecated":false,"version":null,"sidebarTitle":"Posttoolkitsmulti","openapi":"/api-reference/openapi.json post /api/v3.1/toolkits/multi","href":"/reference/api-reference/toolkits/posttoolkitsmulti"},{"title":"Get toolkits changelog","deprecated":false,"version":null,"sidebarTitle":"Gettoolkitschangelog","openapi":"/api-reference/openapi.json get /api/v3.1/toolkits/changelog","href":"/reference/api-reference/toolkits/gettoolkitschangelog"}]},{"group":"Organization","pages":[{"title":"Org usage summary","deprecated":false,"version":null,"sidebarTitle":"Postorgusagesummary","openapi":"/api-reference/openapi.json post /api/v3.1/org/usage/summary","href":"/reference/api-reference/organization/postorgusagesummary"},{"title":"Org usage breakdown","deprecated":false,"version":null,"sidebarTitle":"Postorgusagebyentitytype","openapi":"/api-reference/openapi.json post /api/v3.1/org/usage/{entity_type}","href":"/reference/api-reference/organization/postorgusagebyentitytype"}]},{"group":"Projects","pages":[{"title":"Project usage summary","deprecated":false,"version":null,"sidebarTitle":"Postprojectusagesummary","openapi":"/api-reference/openapi.json post /api/v3.1/project/usage/summary","href":"/reference/api-reference/projects/postprojectusagesummary"},{"title":"Project usage breakdown","deprecated":false,"version":null,"sidebarTitle":"Postprojectusagebyentitytype","openapi":"/api-reference/openapi.json post /api/v3.1/project/usage/{entity_type}","href":"/reference/api-reference/projects/postprojectusagebyentitytype"},{"title":"List all projects","deprecated":false,"version":null,"sidebarTitle":"Getorgprojectlist","openapi":"/api-reference/openapi.json get /api/v3.1/org/project/list","href":"/reference/api-reference/projects/getorgprojectlist"},{"title":"Create a new project","deprecated":false,"version":null,"sidebarTitle":"Postorgownerprojectnew","openapi":"/api-reference/openapi.json post /api/v3.1/org/owner/project/new","href":"/reference/api-reference/projects/postorgownerprojectnew"},{"title":"List all projects","deprecated":false,"version":null,
[...]
